Android Studio 3.0的does not support the forTasks() method on BuildActionExecuter错误

嘎子 Android 2017-06-01 9,962 次浏览 1条评论

Android Studio 3.0出来后迫不及待的试用了一下,国内的网络不太通畅,所以第一次打的时候可以会耗费一点时间,安装你几个更新什么的,更新之后想要再测试一下自己的程序,出现了以下错误:

Error:Failed to complete Gradle execution.

Cause:
The version of Gradle you are using (3.3) does not support the forTasks() method on BuildActionExecuter. Support for this is available in Gradle 3.5 and all later versions.

错误表述还是挺明白了,但就不知要怎么更改,在网上一番搜索,找到解决方案如下:

将"gradle-wrapper.properties"中的:

更改为:

如下图所示:

原创文章,文章首发于:Riley Ge (@rileyge) — Steemit

原创文章,转载请注明: 转载自TsonTec:测量解决方案提供者

本文链接地址: Android Studio 3.0的does not support the forTasks() method on BuildActionExecuter错误

相关主题

说点什么

1 评论 在 "Android Studio 3.0的does not support the forTasks() method on BuildActionExecuter错误"

提醒
avatar
排序:   最新 | 最旧 | 得票最多
鬼谷子
游客
鬼谷子

如果在gradle-wrapper.properties文件更改了版本后仍然无法build成功,可以在build.gradle(Project)文件中更改dependencies{classpath'com.android.tools.build:gradle:3.0.0'}依赖地址,避免由于网络的原因无法更新

回顶部